Subject: [TICTOC] draft interim notes - day 3 / IEEE1588 / SNMP / PTP-MIB

From: "Seehofer, Markus" <[email-masked]>
Date: Mon, 7 Jul 2008 16:42:45 +0200

Hello everybody,

please find enclosed a mail i sent out to the IEEE1588 members
a while ago. It includes some information about a possible IEEE1588
SNMP MIB. So I'm also interested in helping to define an IEEE1588v2 MIB
for the current needs. How can I contribute to the TicToc team (as long as 
my spare time allows this:-))

Best Regards,
 Markus Seehofer

---------------------------------------
Dipl.-Ing. (FH) Markus Seehofer
Development Industrial Ethernet / AEI
Hirschmann Automation and Control GmbH
A Belden Company
Stuttgarter Straße. 45-51
72564 Neckartenzlingen, Germany
Phone ++49 (0) 7127 14-1834
Fax ++49 (0) 7127 14-1600
mailto:[email-masked]
http://www.hirschmann-ac.com
---------------------------------------

-----Ursprüngliche Nachricht-----
Von: [email-masked] [mailto:[email-masked]] Im Auftrag von Seehofer, Markus
Gesendet: Donnerstag, 24. August 2006 14:20
An: [email-masked]
Cc: [email-masked] 
Betreff: IEEE1588 / SNMP / PTP-MIB

Hello,

i've build a PTP-MIB based on the current IEEE1588-2002
standard. This file shows how the PTP-MIB could be implemented.
The PTP-MIB here has not the claim of being complete. Most of the
description parts are empty, references have to be defined, no
notifications are handeld, nor the conformance has worked out.
It has the intention to use it as a possible framework to build a
PTP-MIB for the coming version 2 of the PTP standard.
Also enclosed is an excel sheet which shows all the objects
available via PTP management in version 1. I've build this PTP-MIB
so that all objects available via PTP management are included in the
PTP-MIB. But it is maybe not necessarily to imlement all of
those in the PTP-MIB. The excel sheet shows this also.
This needs discussion.

The enclosed PTP-MIB can be loaded into a SNMP-Browser
if you change the following statement in the PTP-MIB.mib
file.

change this -->
::= { iso std(0) iso1588(1588) ieee1588mibs(xx) yy }
e.g. to ->
::= { iso std(0) iso1588(1588) ieee1588mibs(1) 1 }

First of all it should be clarified where the PTP-MIB should
be described. Should the PTP-MIB be part of the standard itself,
or should the PTP-MIB be released as an IETF RFC?

My recommendation is that we include the PTP-MIB as an ANNEX into
the standard like the 802.1ab (LLDP) protocol did. Please see
http://standards.ieee.org/getieee802/download/802.1AB-2005.pdf
clause 12 for more details. This would avoid that we need an
IETF standardization.
Maybe somebody who is in the 802.1 working group(s) give me some
hints what has to be done if we want this.

I would like to encourage everbody who is interested in
SNMP/PTP-MIB to support this work.

Kind regards,
 Markus Seehofer
-------------------------------------------------------------------
Dipl.-Ing. (FH) Markus Seehofer
Development Industrial Ethernet / AEI
Hirschmann Automation and Control GmbH
P.O. Box 1649
72564 Neckartenzlingen, Germany
Phone ++49 (0) 7127 14-1834
Fax   ++49 (0) 7127 14-1600
mailto:[email-masked] * http://www.hirschmann-ac.com
-----Ursprüngliche Nachricht-----

* * *
Hirschmann Automation and Control GmbH, Neckartenzlingen
Register court: Stuttgart, Trade register No.: HRB 225927
VAT No.: DE 814 212 604
Managing Director: Dr. Wolfgang Babel

_______________________________________________
TICTOC mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/tictoc